## python-pymetar 1.2

=== debian/changelog ===
python-pymetar (1.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only no-change re-upload.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Mar 2021 01:27:04 +0100

python-pymetar (1.2-0.1) unstable; urgency=low

  * Non-maintainer upload.

  [ gregor herrmann ]
  * New upstream release.
    - Fixes "http://weather.noaa.gov/ no longer available"
      (Closes: #835340)
    - Update .docs file to renamed/removed documents.
  * The new upstream release is (only) python3 compatible:
    - Change package name and related helper files to python3-pymetar.
    - Breaks/Replaces old python-pymetar.
    - Update build system to use --buildsystem=pybuild --with=python3.
    - Update build dependencies.
    - Depend on ca-certificates for the new default METAR URL.
    - Fixes "Python2 removal in sid/bullseye".
      (Closes: #938076)
  * Move Homepage field from binary to source package.

  [ Mattia Rizzolo ]
  * Use source format 3.0 (quilt).
  * Convert the hack used to ignore upstream's data_files into a real patch.
  * Use debhelper-compat(=13) instead of d/compat (and with this, also bump
    the compat level).
  * Rewrite d/copyright using copyright-format 1.0.
  * Bump Standards-Version to 4.5.1:
    + Set Rules-Requires-Root: no
  * Bump watch file format to 4 and adapt to the new format version.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 16 Feb 2021 19:13:34 +0100

python-pymetar (0.19-1) unstable; urgency=low

  * New upstream release.
    - Fixes a sky condition parsing bug found by Nils Gründl.

 -- Uli Martens <uli@youam.net>  Wed, 11 Apr 2012 09:57:26 +0200

python-pymetar (0.18-1) unstable; urgency=low

  * New upstream release (Closes: 661377)
    - Do not use self.windspeedknots internally (LP: #712434)
  * Remove copyright entry for manpage, it's no longer the one written by me
    but one by upstream himself.
  * Bump Standards-Version to 3.9.3 from 3.8.3, no changes necessary.
  * Bump debhelper compat level from 7 to 8, no changes necessary.
  * Build with dh_python2 instead of deprecated python-support:
    - Upgrade debhelper and python-all dependencies to needed versions, drop
      python-support Build-Dependency.
    - Add python2 addon to dh calls.
    - Manually remove the build/ tree in the clean target.

 -- Uli Martens <uli@youam.net>  Sun, 11 Mar 2012 13:36:56 +0100

python-pymetar (0.16-1) unstable; urgency=low

  * New upstream release
    - pymetar(1) man page is now included upstream
    - weather.py is now called pymetar in upstream, too. Workaround removed.
    - Example script bin/pymet was removed
  * Bump Standards-Version to 3.8.3 from 3.8.2, no changes necessary.
  * Packaging updates:
    - Edit setup.py reversibly in place instead of providing a derived version.

 -- Uli Martens <uli@youam.net>  Tue, 12 Jan 2010 06:32:42 +0100

python-pymetar (0.15-1) unstable; urgency=low

  * New upstream release
  * Cosmetic source changes without actual differences in the package:
    - Bump Standards-Version to 3.8.2 from 3.8.0
    - Update debhelper compat level from 4 to 7
    - Add ${misc:Depends} to the Depends:
  * Bump the dependency on debhelper to the lenny version (7.0.15)
  * Rewrite debian/rules to use debhelper/lenny capabilities
    (i.e. bin/dh, but no override-foo)
  * Add METAR, NOAA descriptions to the package description.
  * Rewrite the man page:
    - Explain METAR, NOAA abbreviations
    - State that the name of the HTTP_PROXY environment variable name is case
      insensitive
  * This upload reviewed and sponsored by Sebastian Harl <tokkee@debian.org>.
    Thank you!

 -- Uli Martens <uli@youam.net>  Sat, 01 Aug 2009 15:02:08 +0200

python-pymetar (0.14-2) unstable; urgency=low

  * Change build order for multiple python versions to build with the default
    python-version first. This prevents creating a versioned dependency on
    whichever python version was built first (Closes: 503615).
  * This upload and the 0.14-1 upload sponsored by Bernd Zeimetz
    <bzed@debian.org>. Thank you!

 -- Uli Martens <uli@youam.net>  Mon, 27 Oct 2008 09:20:51 +0100

python-pymetar (0.14-1) unstable; urgency=low

  * New Upstream Release:
    - Add "NSC" Non Significant Cloud condition (Closes: 440153).
      Thanks, Nicolas Évrard <nicoe@no-log.org> for submitting the patch.
  * Relicence pymetar.1 to GPL-2 or later, same as pymetar itself.
  * Update debian/copyright to match upstream copyright changes.
  * Small updates to the control file:
    - Build-Depends-Indep on python-support as this is not needed for cleaning.
    - Change python-all-dev dependency into python-all, we don't need -dev.
    - Bump debhelper versioned dependency to a version python-support doesn't
      conflict against
    - Bump Standards-Version to 3.8.0, nothing to do for that.
    - Add Homepage field to the debian/control file.
  * Small updates to the rules file:
    - Split dh_installexamples arguments in external file.
    - Change setup.py argument from --prefix to --root, remove usr/ from path.
  * Thanks for NMUing while I was hibernating:
    - 0.12-2.1 #373343 Pierre Habouzit
    - 0.12-2.2 #391391 Jérémy Bobbio and Pierre Habouzit
    - 0.12-2.3 #394031 Luis Rodrigo Gallardo Cruz and Matthias Klose

 -- Uli Martens <uli@youam.net>  Thu, 23 Oct 2008 07:54:28 +0200

python-pymetar (0.12-2.3) unstable; urgency=low

  * Rebuild to drop python2.3 dependency.

 -- Matthias Klose <doko@debian.org>  Wed,  1 Nov 2006 01:24:54 +0100

python-pymetar (0.12-2.2) unstable; urgency=low

  * Non-maintainer upload.

  [ Jérémy Bobbio ]
  * Fix position of dh_pysupport call in debian/rules (Closes: 391391).
  * Add versioned Build-Depends on python-support.

  [ Pierre Habouzit ]
  * Sponsoring upload.

 -- Pierre Habouzit <madcoder@debian.org>  Sat,  7 Oct 2006 15:56:50 +0200

python-pymetar (0.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #373343)
  * Bump Standards-Version to 3.7.2.

