=== debian/control ===
Source: python-pymetar
Section: python
Priority: optional
Maintainer: Uli Martens <uli@youam.net>
Build-Depends: debhelper-compat (=13), dh-python, python3-all, python3-setuptools, dh-sequence-python3
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.schwarzvogel.de/software-pymetar.shtml

Package: python3-pymetar
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ca-certificates
Breaks: python-pymetar
Replaces: python-pymetar
Description: Python interface to METAR reports
 The pymetar Python interface provides full and easy to use access to the
 METAR reports available from the NOAA (National Oceanic and Atmospheric
 Administration, http://www.noaa.gov).
 .
 METAR (METeorological Aviation Report) is the international standard code
 format for hourly surface weather observations.
 .
 This package consists of the Python library itself and a command line tool for
 end users.
