=== debian/watch ===
version=4

http://schwarzvogel.de/pkgs/ pymetar-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
